Package com.sap.ai.sdk.prompt.registry.model

# Class AzureContentSafetyOutputFilterConfig

java.lang.Object
com.sap.ai.sdk.prompt.registry.model.AzureContentSafetyOutputFilterConfig

All Implemented Interfaces:
  `OutputFilterConfig`

public class AzureContentSafetyOutputFilterConfig extends Object implements OutputFilterConfig
AzureContentSafetyOutputFilterConfig

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `AzureContentSafetyOutputFilterConfig.Builder`
  Builder helper class.
  `static enum`
  `AzureContentSafetyOutputFilterConfig.TypeEnum`
  Name of the filter provider type

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AzureContentSafetyOutputFilterConfig()`
  Default constructor for AzureContentSafetyOutputFilterConfig.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AzureContentSafetyOutputFilterConfig`
  `config(AzureContentSafetyOutput config)`
  Set the config of this `AzureContentSafetyOutputFilterConfig` instance and return the same instance.
  `static AzureContentSafetyOutputFilterConfig.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `AzureContentSafetyOutputFilterConfig` instance with all required arguments.
  `boolean`
  `equals(Object o)`
  `AzureContentSafetyOutput`
  `getConfig()`
  Get config
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `AzureContentSafetyOutputFilterConfig`.
  `AzureContentSafetyOutputFilterConfig.TypeEnum`
  `getType()`
  Name of the filter provider type
  `int`
  `hashCode()`
  `void`
  `setConfig(AzureContentSafetyOutput config)`
  Set the config of this `AzureContentSafetyOutputFilterConfig` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `AzureContentSafetyOutputFilterConfig` instance.
  `void`
  `setType(AzureContentSafetyOutputFilterConfig.TypeEnum type)`
  Set the type of this `AzureContentSafetyOutputFilterConfig` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `AzureContentSafetyOutputFilterConfig` instance including unrecognized properties.
  `String`
  `toString()`
  `AzureContentSafetyOutputFilterConfig`
  `type(AzureContentSafetyOutputFilterConfig.TypeEnum type)`
  Set the type of this `AzureContentSafetyOutputFilterConfig` instance and return the same instance.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AzureContentSafetyOutputFilterConfig

    protected AzureContentSafetyOutputFilterConfig()
    Default constructor for AzureContentSafetyOutputFilterConfig.

- ## Method Details

  - ### type

    @Nonnull public AzureContentSafetyOutputFilterConfig type(@Nonnull AzureContentSafetyOutputFilterConfig.TypeEnum type)
    Set the type of this `AzureContentSafetyOutputFilterConfig` instance and return the same instance.
    Parameters:
      `type` - Name of the filter provider type
    Returns:
      The same instance of this `AzureContentSafetyOutputFilterConfig` class

  - ### getType

    @Nonnull public AzureContentSafetyOutputFilterConfig.TypeEnum getType()
    Name of the filter provider type
    Returns:
      type The type of this `AzureContentSafetyOutputFilterConfig` instance.

  - ### setType

    public void setType(@Nonnull AzureContentSafetyOutputFilterConfig.TypeEnum type)
    Set the type of this `AzureContentSafetyOutputFilterConfig` instance.
    Parameters:
      `type` - Name of the filter provider type

  - ### config

    @Nonnull public AzureContentSafetyOutputFilterConfig config(@Nullable AzureContentSafetyOutput config)
    Set the config of this `AzureContentSafetyOutputFilterConfig` instance and return the same instance.
    Parameters:
      `config` - The config of this `AzureContentSafetyOutputFilterConfig`
    Returns:
      The same instance of this `AzureContentSafetyOutputFilterConfig` class

  - ### getConfig

    @Nonnull public AzureContentSafetyOutput getConfig()
    Get config
    Returns:
      config The config of this `AzureContentSafetyOutputFilterConfig` instance.

  - ### setConfig

    public void setConfig(@Nullable AzureContentSafetyOutput config)
    Set the config of this `AzureContentSafetyOutputFilterConfig` instance.
    Parameters:
      `config` - The config of this `AzureContentSafetyOutputFilterConfig`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `AzureContentSafetyOutputFilterConfig`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `AzureContentSafetyOutputFilterConfig` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `AzureContentSafetyOutputFilterConfig` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `AzureContentSafetyOutputFilterConfig` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static AzureContentSafetyOutputFilterConfig.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `AzureContentSafetyOutputFilterConfig` instance with all required arguments.